# PhasicFlow: maximum< T > Struct Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

maximum< T > Struct Template Reference

## Public Member Functions

INLINE_FUNCTION_HD bool | operator() (const T &lhs, const T &rhs) const

## Detailed Description

### template<typename T>
struct pFlow::algorithms::maximum< T >

Definition at line 48 of file algorithmFunctions.hpp.

## Member Function Documentation

## operator()()

INLINE_FUNCTION_HD bool operator() | ( | const T & | lhs,
|  | const T & | rhs
| ) |  | const

inline

Definition at line 51 of file algorithmFunctions.hpp.

The documentation for this struct was generated from the following file:

- src/phasicFlow/algorithms/algorithmFunctions.hpp